Grouping.CommandQuery (Solr 3.6.2 API)
Keywords: org.apache.solr.search.Grouping.CommandQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class Grouping.CommandQuery

    java.lang.Object
      org.apache.solr.search.Grouping.Command
          org.apache.solr.search.Grouping.CommandQuery

Enclosing class:
  Grouping

    public class Grouping.CommandQuery

extends Grouping.Command

A group command for grouping on a query.

Field Summary
`Query` | `query`

Fields inherited from class org.apache.solr.search.Grouping.Command
`docsPerGroup, format, groupOffset, groupSort, key, main, numGroups, offset, sort, totalCount`

Constructor Summary
`Grouping.CommandQuery()`

Method Summary
`protected Collector` | `createFirstPassCollector()` Returns one or more `Collector` instances that are needed to perform the first pass search.
`protected void` | `finish()` Performs any necessary post actions to prepare the response.
`int` | `getMatches()` Returns the number of matches for this `Command`.
`protected void` | `prepare()` Prepare this `Command` for execution.

Methods inherited from class org.apache.solr.search.Grouping.Command
`addDocList, commonResponse, createAllGroupCollector, createSecondPassCollector, createSimpleResponse, getDocList, getNumberOfGroups`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    public Query query

Constructor Detail

### Grouping.CommandQuery

    public Grouping.CommandQuery()

Method Detail

### prepare

    protected void prepare()
                    throws IOException

  Prepare this `Command` for execution.

  Specified by:
    `prepare` in class `Grouping.Command`
  Throws:
    `IOException` - If I/O related errors occur

### createFirstPassCollector

    protected Collector createFirstPassCollector()
                                          throws IOException

  Returns one or more `Collector` instances that are needed to perform the first pass search. If multiple Collectors are returned then these wrapped in a `MultiCollector`.

  Specified by:
    `createFirstPassCollector` in class `Grouping.Command`
  Returns:
    one or more `Collector` instances that are need to perform the first pass search
  Throws:
    `IOException` - If I/O related errors occur

### finish

    protected void finish()
                   throws IOException

  Performs any necessary post actions to prepare the response.

  Specified by:
    `finish` in class `Grouping.Command`
  Throws:
    `IOException` - If I/O related errors occur

### getMatches

    public int getMatches()

  Returns the number of matches for this `Command`.

  Specified by:
    `getMatches` in class `Grouping.Command`
  Returns:
    the number of matches for this `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD